# HORTON-GRID

The Grid used in *H*elpful *O*pen-source *R*esearch *TO*ol for *N*-fermion systems.

## Overview

HORTON-GRID is an integral grid that was initially implemented in Horton 2. This updated version now supports Python 3.10 and above.

HORTON-GRID is an essential tool used in computational chemistry. It provides functionalities for creating and manipulating molecular grids which are used in various scientific computations.

For more information, visit HORTON's website: [http://theochem.github.io/horton/latest](http://theochem.github.io/horton/latest)

## Key Features

- Molecular grids for computational chemistry.
- Implemented in Python 3.10 for broad compatibility with scientific computing packages.
- Adheres to strict code formatting standards, using tools such as Black and Ruff.
- Built with a focus on scientific research and education.

## Installation

Clone the repository:

```bash
git clone git@github.com:yingxingcheng/horton-grid.git
```
Navigate to the horton-grid directory:
```bash
cd horton-grid
```
Install the package:
```bash
pip install .
```

## Dependencies
The horton-grid project depends on the following Python packages:

- NumPy
- pre-commit
- pytest
- nose

These dependencies will be automatically installed when you install horton-grid.
